/* Marks selected page in navigation menu */
.forum_button{
    color: var(--text-soft);
    background-color: var(--bg-light); 
}

main{
    grid-column: 1/-1;
    margin: 25px 15vw;
}


.utility{
    display: grid;
    width: 70%;
    margin: auto;
    grid-template-rows: 1fr 1fr;
    gap: 10px;
}
.search, .newThread{
    display: grid;
    grid-template-columns: 1fr auto;

    background-color: var(--bg-light);
    padding: 5px;

    border: var(--border) 3px solid;
    border-radius: 10px;

    box-shadow: 0px 2px 5px rgba(0,0,0, 0.25);
}
.utility input, .utility button{
    color: var(--text-soft);
    font-size: large;
    border: none;
    background: var(--bg-light);
}
.utility button{
    aspect-ratio: 1/1;
    border-radius: 5px;
}
.utility button:hover{
    background: var(--bg-dark);
}
.utility input:focus{
    outline: none; 
}



.purpose, .rules, .recentThreads{
    background: var(--bg);
    margin-top: 25px;

    border: var(--border) 4px solid;
    border-radius: 10px;

    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.25);
}



.purpose{
    display: grid;
    grid-template-columns: 3fr 2fr;

    padding: 20px;
}
.purpose article{
    display: grid;
    gap: 10px;

    justify-content: center;
    align-content: center;
    justify-items: center;
}
.purpose h2{
    font-size: xx-large;
    color: var(--text);
    margin: 0px;
}
.purpose p{
    font-size: large;
    color: var(--text-soft);
    margin: 0px;
}
.purpose img{
    width: 100%;
    border-radius: 10px;
    border: var(--border-soft) 3px solid;
}



.rules{
    background-color: var(--bg-light);

    display: grid;
    grid-template-rows: auto auto;
    grid-template-columns: 1fr 1fr;
    align-items: end;

    padding: 20px;
}
.rules p{
    color: var(--text);
    font-family: "Jockey One", sans-serif;
    font-size: x-large;
    margin: 0px;

}
.rules ol{
    color: var(--text-soft);
    margin: 0px;
    padding-left: 20px;
    
}
.rules ol li{
    margin: 10px 0px;
    text-indent: 10px;
}
.rules ol li::marker{
    color: var(--text);
}
.rules ol:nth-child(3) { /* Right column */
    grid-column: 2/-1;
    grid-row: 1/-1;
}



.recentThreads table {
    width: 100%;
    color: var(--text-soft);
    text-align: center;
    border-collapse: collapse;
    font-size: small;
}   
.recentThreads th, .recentThreads td{
    border: var(--border) 2px solid;
    padding: 10px 15px;
}
.recentThreads tr:nth-child(1) {
    color: var(--text);
    text-decoration-line: underline;
    font-size: x-large;
}
.recentThreads tr:nth-child(2) {
    font-size: large;
}

.recentThreads tr:nth-child(even) {
    background-color: var(--bg-light);
}